#ifndef CalendarHeader_h
#define CalendarHeader_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "ShadowLabel.h"

#include <QToolButton>
#include <QWidget>

namespace Calendar
{

    class CalendarHeader: public QWidget, private Base::Counter<CalendarHeader>
    {

        Q_OBJECT

        public:

        //* constructor
        explicit CalendarHeader( QWidget* );

        //* label
        Transparency::ShadowLabel& label() const
        { return *label_; }

        //* previous button
        QToolButton& previousButton() const
        { return *previousButton_; }

        //* previous button
        QToolButton& nextButton() const
        { return *nextButton_; }

        private:

        //* tool button
        QToolButton* previousButton_;

        //* tool button
        QToolButton* nextButton_;

        //* shadow label
        Transparency::ShadowLabel* label_;

    };

}

#endif
