/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
  \file SelectMonthDialog.cpp
  \brief QDialog to set "adjust time command"
  \author Hugo Pereira
  \version $Revision$
  \date $Date$
*/

#include "SelectMonthDialog.h"

#include <QLabel>

namespace Calendar
{

    //___________________________________________
    SelectMonthDialog::SelectMonthDialog( QWidget* parent, QDate date ):
        CustomDialog( parent )
    {
        Debug::Throw( "SelectMonthDialog::SelectMonthDialog.\n" );
        setWindowTitle( tr( "Select Month - Calendar" ) );
        setOptionName( "SELECT_MONTH_DIALOG" );
        mainLayout().addWidget( new QLabel( tr( "Select month to display:" ), this ) );
        mainLayout().addWidget( editor_ = new QDateEdit( this ) );
        editor_->setDisplayFormat( "MMMM yyyy" );
        editor_->setDate( date );
    }
}
