/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "AdjustTimeDialog.h"

#include <QLabel>

//___________________________________________
AdjustTimeDialog::AdjustTimeDialog( QWidget* parent ):
CustomDialog( parent )
{
    Debug::Throw( "AdjustTimeDialog::AdjustTimeDialog.\n" );
    setWindowTitle( tr( "Ajust Time Command" ) );
    setOptionName( "ADJUST_TIME_DIALOG" );
    QHBoxLayout* layout( new QHBoxLayout );
    layout->setMargin(0);
    layout->setSpacing(5);
    mainLayout().addLayout( layout );
    layout->addWidget( new QLabel( tr( "Command:" ), this ) );
    layout->addWidget( editor_ = new BrowsedLineEditor( this ) );
    mainLayout().addWidget( alwaysUseCheckBox_ = new QCheckBox( tr( "Always use this command from now on" ), this ) );
    adjustSize();
}
