#ifndef AdjustTimeDialog_h
#define AdjustTimeDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "BrowsedLineEditor.h"
#include "LineEditor.h"

#include <QCheckBox>

//* QDialog to set adjust time command
class AdjustTimeDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    explicit AdjustTimeDialog( QWidget* );

    //* command
    void setCommand( const QString& command )
    { editor_->editor().setText( command ); }

    //* command
    QString command() const
    { return editor_->editor().text(); }

    //* always use
    void setAlwaysUse( bool value )
    { alwaysUseCheckBox_->setChecked( value ); }

    //* always use
    bool alwaysUse() const
    { return alwaysUseCheckBox_->isChecked(); }

    private:

    //* editor
    BrowsedLineEditor* editor_;

    //* always use command checkbox
    QCheckBox* alwaysUseCheckBox_;

};

#endif
