/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "GeometryConfirmationDialog.h"
#include "TreeView.h"


//___________________________________________________
GeometryConfirmationDialog::GeometryConfirmationDialog( QWidget* parent, const ApplicationDataModel::List& applications ):
    QuestionDialog( parent )
{

    Debug::Throw( "GeometryDialog::GeometryDialog.\n" );
    setOptionName( "GEOMETRY_CONFIRMATION_DIALOG" );

    setText( "Following geometries will be sent to applications:" );

    TreeView* treeView = new TreeView;
    treeView->setModel( &model_ );
    treeView->setOptionName( "APPLIST_CONFIRM" );
    setDetails( treeView );

    model_.add( applications );

    showDetails();

    okButton().setText( "Send" );

}
