#ifndef ToolTipWidget_h
#define ToolTipWidget_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseToolTipWidget.h"

#include <QFrame>
#include <QLabel>
#include <QLayout>
#include <QPixmap>

//* customized tooltip widget
class ToolTipWidget : public BaseToolTipWidget
{

    public:

    //* constructor
    explicit ToolTipWidget( QWidget* = 0 );

    //*@name accessors
    //@{

    //* vertical layout
    QVBoxLayout& layout() const
    { return *vLayout_; }

    //@}

    //*@name modifiers
    //@{

    //* set pixmap
    void setPixmap( const QPixmap& pixmap )
    { pixmapLabel_->setPixmap( pixmap ); }

    //* title
    void setTitle( const QString& );

    //@}

    private:

    //* pixmap label
    QLabel* pixmapLabel_;

    //* title label
    QLabel* titleLabel_;

    //* separator
    QFrame* separator_;

    //* grid layout
    QVBoxLayout* vLayout_;

};


#endif
