/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"
#include "PictureAttributes.h"
#include "File.h"

//_____________________________________________________
//! Default options installer
void installPictureOptions()
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<bool>( "SHOW_FILENAME", false );
    XmlOptions::get().set<bool>( "KEEP_ASPECT_RATIO", true );
    XmlOptions::get().set( "PICTURE", Option( Pictures::PictureAttributes::NoPicture ) );

    XmlOptions::get().set<int>( "WINDOW_HEIGHT", 150 );
    XmlOptions::get().set<int>( "WINDOW_WIDTH", 350 );

    // resource file
    XmlOptions::get().set( "OLD_RC_FILE", Option( File(".transparent-picturerc").addPath( Util::home() ), Option::Flag::None ) );
    XmlOptions::get().set( "RC_FILE", Option( File("transparent-picturerc").addPath( Util::config() ), Option::Flag::None ) );

    XmlOptions::get().setAutoDefault( false );

}
